package com.example.a8_bitinvader;

import android.util.DisplayMetrics;

public class Sprite {

    // public properties
    // x and y denote top left position
    // int image denotes which image used for sprite
    int x;
    int y;
    int image;
    int screenW;
    int screenH;

    DisplayMetrics displayMetrics = new DisplayMetrics();



    //private properties
    //FIXME THIS FORMULA IS WRONG, ONLY RETURNS 0
    private final int height = displayMetrics.heightPixels/100;
    private final int width = displayMetrics.widthPixels/100;

    //private properties

    /**
     * @param xp
     * @param yp
     * @param img
     */
    public Sprite(int xp, int yp, int img)
    {
        x = xp;
        y = yp;
        image = img;
    }

    /**
     *
     * @return Height of the sprite
     */
    public int getLength()
    {
        return height;
    }

    /**
     *
     * @return Width of the sprite
     */
    public int getWidth()
    {
        return width;
    }

    /**
     *
     * @param xx
     * @param yy
     * @return True if xx and yy are in the current sprite
     */
    public boolean touching(int xx, int yy)
    {
        //implement
        if((xx < (x+width) && xx > x) && (yy < (y+height) && yy > y))
        {
            return true;
        }
        return false;
    }

    public void destroy() {
        //this should call the animation, and delete the object
    }

    void updateLocation() {}    //other classes will override this function

}
